/*
 * The SmartWeb Framework
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartWeb Framework please visit
 *
 *                        http://smartweb.sourceforge.net
 */
 
package net.smartlab.web.bean;

import java.util.Locale;

/**
 * TODO Documentation
 *
 * @author gperrone
 * @author rlogiacco
 */
public abstract class Converter {

	/*# net.smartlab.web.bean.ConversionException ce */

	/**
	 * TODO documentation
	 * 
	 * @param type the target type
	 * @param value the value to be converted
	 * @param locale the locale to be used for the conversion
	 * @return an instance of the specified <code>type</code> which represents
	 *         the converted input value
	 * @throws ConversionException if something wrong occurs during conversion
	 *             or if the conversion couldn't be performed
	 */
	public abstract Object convert(Class type, Object value, Locale locale) throws ConversionException;

}